Bug 88838 - can not input udoubleacute (and any other latin2 specific chars) chars to a form
can not input udoubleacute (and any other latin2 specific chars) chars to a form
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 15:42 EDT by Boldizsar Nagy
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 08:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boldizsar Nagy 2003-04-14 15:42:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; hu-HU; rv:1.3) Gecko/20030410

Description of problem:
Using this setup:
[boldi@hades sysconfig]$ cat i18n
LANG="hu_HU.UTF-8"5
LC_ALL="hu_HU.UTF-8"2-3
SUPPORTED="hu_HU:hu"23
SYSFONT="latarcyrheb-sun16"

[boldi@hades sysconfig]$ cat keyboard
KEYBOARDTYPE="pc"
KEYTABLE="hu101"

part of inputrc:
set meta-flag on
set input-meta on
set convert-meta off
set output-meta on

I can not input neither udoubleacute nor any other latin2 specific chars to
mozilla. I can see the pressed char, but the form recognizes something other
character.
Also console programs can not output these chars to the tty.
If I specify to cdlabelgen a category with latin2 chars it prints instead the
given latin2 chars ("english" latin1 chars are printed well) 3-4 unreadable
characters (" " space, some cyrill chars I think).

So it is not a mozilla specific rather a system wide problem.
Tried with loadkeys -u hu commad, but is did not solve the problem.

Version-Release number of selected component (if applicable):
mozilla-1.2.1-26

How reproducible:
Always

Steps to Reproduce:
Mentioned abowe
    

Additional info:
Comment 1 Boldizsar Nagy 2003-04-22 08:41:07 EDT
Just set
[root@hades sysconfig]# cat i18n
LANG="hu_HU.ISO-8859-2"
LC_ALL="hu_HU.ISO-8859-2"
SUPPORTED="hu_HU:hu:en_US:en"
SYSFONT="iso02.14"

and install 
fonts-ISO8859-2-75dpi-1.0-11
XFree86-ISO8859-2-75dpi-fonts-4.3.0-2
XFree86-ISO8859-2-100dpi-fonts-4.3.0-2
fonts-ISO8859-2-100dpi-1.0-11

Note You need to log in before you can comment on or make changes to this bug.